%global epimajor 2.26
# by default build epiphany extension
# use bcond_with to change the default
%bcond_without epiphany

Name:		gwget
Version:	1.0.4
Release:	2%{?dist}
Summary:	Graphical download manager that uses wget

License:	GPLv2+
Group:		Applications/Internet
URL:		http://gnome.org/projects/gwget
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gwget/1.0/gwget-%{version}.tar.bz2
Patch0:		gwget-1.0.4-epiphany.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libglade2-devel >= 2.0
BuildRequires:	dbus-devel
BuildRequires:	libnotify-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gettext >= 0.14.1
BuildRequires:	desktop-file-utils
Requires:	wget >= 1.9
Requires(post):		GConf2
Requires(preun):	GConf2
%if 0%{with epiphany}
BuildRequires:	epiphany-devel >= %{epimajor}
%endif

%description
Gwget is a Download Manager for Gnome 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

%if 0%{with epiphany}
%package	epiphany-extension
Summary:	Gwget2 extensions for epiphany
Group:		Applications/Internet

Requires:	%{name} = %{version}
Requires:	epiphany >= %{epimajor}

%description epiphany-extension
This package contains gwget2 extensions for the epiphany webbrowser.
%endif

%prep
%setup -q
%patch0 -p1 -b .epiphany
# convert files to UTF-8 with preserving the timestamps
for file in ChangeLog README; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done


%build
%configure --disable-static \
%if 0%{with epiphany}
    --enable-epiphany-extension
%else
    --disable-epiphany-extension
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

desktop-file-install --vendor fedora			\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications	\
	--delete-original				\
	${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post
# For GConf apps: install schemas as system default
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:


%preun
# For GConf apps: uninstall app's system default schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%files -f %{name}.lang
%defattr (-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/gwget.schemas
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/dbus-1/services/org.gnome.gwget.service

%if 0%{with epiphany}
%files epiphany-extension
%defattr (-,root,root,-)
%{_libdir}/epiphany/*/extensions/gwget.xml
%{_libdir}/epiphany/*/extensions/libgwgetextension.so
%endif


%changelog
* Tue Feb 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.4-2
- Rebuild for epiphany 2.29
- Switch to %%bcond macro

* Tue Oct 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4, fixes crash with GTK >= 2.18

* Sun Oct 04 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3
- Remove Vincent's patch as it was upstreamed

* Fri Aug 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2
- Patch to enable epiphany extension again (Vincent Untz)
- No need to run any autotools any longer

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-5
- Temporarily disable broken epiphany extension

* Thu Jun 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-4
- Rebuild against epiphany 2.27 and already prepare for 2.28

* Thu Jun 11 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-3
- Make configure detect epiphany 2.26 again (stupid typo)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1
- Drop both patches as upstream accepted them

* Sun Feb 15 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.00-1
- Update to 1.00
- Drop missing-remove-signal.patch, fixed upstream
- Drop gnome-vfs2-devel as local operations are now performed with gio
- No longer own %%{_libdir}/epiphany*/  after #479921 has been fixed
- Update epiphany patch for epiphany <= 2.26

* Sat Aug 30 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-8
- Rebuild against epiphany 2.23 and already prepare for 2.24

* Thu Jun 05 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-7
- Fix for latest epiphany (#440744)
- Add Debian patch to fix missing remove signals

* Sat Apr 05 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-6
- Build against epiphany 2.22
- Remove the obsolte category Application from desktop file

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.99-5
- Autorebuild for GCC 4.3

* Tue Jan 08 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-4
- Build against epiphany 2.21

* Wed Sep 26 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-3
- Build against epiphany 2.20

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-2
- Run intltoolize to get locales installed properly with intltool 0.36.1
- Update license tag

* Sat Jun 09 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.99-1
- Update to 0.99
- Add support for epiphany 2.19
- Update desktop file

* Thu May 17 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.98.2-2
- Rebuild for Fedora 7
- Add support for epiphany 2.18

* Sat Nov 11 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.98.2-1
- Update to 0.98.2.
- Don't crash notification area (#213480).
- Add support for epiphany 2.17.

* Fri Sep 15 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.98.1-1
- Update to 0.98.1.
- BuildRequire dbus-devel, libnotify-devel and gnome-vfs2-devel.

* Fri Sep 15 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.97-7
- Mass rebuild for Fedora Core 6.
- Update epiphany-patch for epiphany <= 2.16.
- disable-static instead of removing .a files.
- BuildRequire intltool instead of perl(XML::Parser).

* Sat Jul 15 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.97-6
- Fix BR to build in minimal build environment (#198919).
- Add patch to build against epiphany 2.15.

* Mon Jun 26 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.97-5
- bump release to fix broken upgrade path FE5 -> FE6.

* Mon Jun 26 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.97-4
- fix %%defattr.
- fix summary and description of epiphany-extension subpackage.
- fix BR of epiphany-extension subpackage.

* Sun Apr 02 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.97-3
- Add LDFLAGS="-Wl,--export-dynamic" #187623
- Add patch from cvs to build against latest epiphany

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.97-2
- Rebuild for Fedora Extras 5

* Wed Feb 01 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.97-1
- Update to 0.97
- Build with epiphany 1.9/2.0

* Thu Sep 22 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.96-4
- extension-dir is different on epiphany 1.8
- Own _libdir/epiphany

* Thu Sep 22 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.96-3
- use dist

* Mon Sep 19 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.96-2
- Remove the epiphanye build-option and build it always
- Use epimajor macro to simplify spec for different dists
- make install DESTDIR= instead of makeinstall macro

* Mon Sep 19 2005 Adel Gadllah <adel.gadllah [AT] gmail [DOT] com> 0.96-1
- Update to 0.96 
- Fix urls in spec file (project has moved)
- dropped x86_64 patch (not needed anymore)

* Tue Mar 01 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.93-2
- Add gwget-autoreconf.patch.bz2 ; fixes x86_64

* Tue Jan 25 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.93-1
- Update to 0.93

* Thu Dec 09 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.92-0.fdr.1
- Update to 0.92

* Tue Nov 27 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.91-0.fdr.1
- Update to 0.91
- Add handling for new GCconf schemas
- Add epiphany-extension package

* Tue Oct 19 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.90-0.fdr.1
- Update to 0.90
- disable-epiphany-extension until FC3

* Tue Sep 14 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14.1-0.fdr.2
- Don't ship header files

* Mon Sep 13 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14.1-0.fdr.1
- Update to 0.14.1
- Add BuildRequire gettext intltool
- Remove gwget.png workaround

* Mon Aug 30 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14-0.fdr.3
- Fixed devel description (again)
- Fixed Changelog-Versions

* Mon Aug 30 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14-0.fdr.2
- Source changed to something downloadable with wget
- Fixed devel description
- use desktop-file-utils

* Sun Aug 29 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14-0.fdr.1
- Update to 0.14

* Thu Aug 16 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.13-0.fdr.1
- New Spec file based on impressions from gwget-0.13.1-5asp with
  work from various people:
  Pavlo Bohmat <bohm@ukr.net>
  Arkady L. Shane <shejn@msiu.ru>
  Abel Cheung <deaddog@deaddog.org>
  Lenny Cartier <lenny@mandrakesoft.com>
  Michael Scherer <scherer.michael@free.fr>
  Laurent MONTEL <lmontel@mandrakesoft.com>
